diff -ruN vdr-1.5.14/CONTRIBUTORS vdr-1.5.15/CONTRIBUTORS
--- vdr-1.5.14/CONTRIBUTORS	2008-01-26 16:20:41.000000000 +0100
+++ vdr-1.5.15/CONTRIBUTORS	2008-02-16 17:12:21.000000000 +0100
@@ -86,6 +86,7 @@
  for implementing the 'CurrentChannel' setup parameter
  for fixing setting the OSD size in the 'Confirm' interface call
  for fixing handling improper buffer lengths in the EIT parser
+ for a patch that was used to implement StopSectionHandler()
 
 Dave Chapman <dave@dchapman.com>
  for implementing support for the teletext PID
@@ -1039,6 +1040,9 @@
  for some fixes to PLUGINS.html
  for fixing handling CONFDIR
  for updating the Makefile of the skincurses plugin
+ for suggesting to limit the length of the recording name in timers created via
+ SVDRP in case VDR is run with --vfat, in order to avoid names that are too long
+ for Windows
 
 Ralf Klueber <ralf.klueber@vodafone.com>
  for reporting a bug in cutting a recording if there is only a single editing mark
@@ -1158,6 +1162,7 @@
  for a patch that was used to fix handling small PES packets that caused subtitles
  to be displayed late in live mode
  for a patch that was used to implement handling of DVB-S2
+ for reporting an invalid access in the section handler when ending VDR
 
 Richard Robson <richard_robson@beeb.net>
  for reporting freezing replay if a timer starts while in Transfer Mode from the
@@ -1447,6 +1452,8 @@
  an example ~cMyReceiver() in PLUGINS.html (thanks to Marco Schlüßler).
  for fixing checking compatibility mode for old subtitles plugin
  for a patch that was used to implement handling of DVB-S2
+ for fixing setting the date in the channel display of the classic and sttng skins,
+ to avoid unnecessary OSD access
 
 Jürgen Schmitz <j.schmitz@web.de>
  for reporting a bug in displaying the current channel when switching via the SVDRP
@@ -1612,6 +1619,8 @@
  it in a context sensitive manner
  for reporting a loss of the date display in the "classic" skin's main menu
  for reporting a missing setting of lastFreeMB in cMenuMain::Update()
+ for suggesting to ignore "repeat" and "release" keys in the time search entry mode
+ during replay, to avoid inadvertently leaving it in case a key is pressed too long
 
 Dino Ravnic <dino.ravnic@fer.hr>
  for fixing some characters in the iso8859-2 font file
@@ -1664,6 +1673,8 @@
 Walter Koch <koch@u32.de>
  for adding channels for DVB-T Düsseldorf and Köln (Germany) to channels.cont.terr
  for fixing some missing '-' in the German OSD texts
+ for suggesting to display the free disk space also in the title of the "Recordings"
+ menu
 
 Rolf Groppe <rolf@groppe.de>
  for suggesting to fall back to 'stereo' when switching channels in case the user
@@ -1678,6 +1689,8 @@
  for removing an unnecessary #include from osd.c
  for reporting a problem with with numerical input to switch channels if Up, Down,
  Channel+ or Channel- is pressed
+ for pointing out a possible problem with asprintf() if the return value is not
+ checked
 
 Chad Flynt <hoochster@sofnet.com>
  for suggestions and experiments regarding the buffer reserve in cTransfer
@@ -1736,6 +1749,7 @@
  for fixing the link to the GPL2 at http://www.gnu.org in vdr.c
  for making the "Play" key start replay of the selected recording in the Recordings
  menu
+ for adding missing #include <limits.h> to epg.c and menuitems.h
 
 Steffen Beyer <cpunk@reactor.de>
  for fixing setting the colored button help after deleting a recording in case the next
@@ -1782,6 +1796,7 @@
  for adding a sleep in cDvbPlayer::Action() in case there is no data to send to the
  device, which avoids a busy loop on very fast machines
  for fixing a possible crash when loading an invalid XPM file
+ for suggesting to speed up anti-aliased font rendering by caching the blend indexes
 
 Matthias Lenk <matthias.lenk@amd.com>
  for reporting an out-of-bounds memory access with audio language ids
@@ -1954,6 +1969,8 @@
  for pointing out that plugins from cRemote::PutMacro() and cRemote::CallPlugin()
  need to be handled separately
  for making cTimeMs use the monotonic clock
+ for implementing the cStatus, cDevice and cPlayer functions for setting subtitle
+ tracks in plugins
 
 Marcel Schaeben <mts280@gmx.de>
  for his "Easy Input" patch
@@ -2270,3 +2287,15 @@
 
 Winfried Koehler <w_koehl@gmx.de>
  for fixing finding new transponders
+
+Hans-Werner Hilse <hilse@web.de>
+ for adding the command line option --userdump to enable core dumps in case VDR
+ is run as root with option -u
+
+Mikko Matilainen <mikkom@iki.fi>
+ for reporting a possible crash if the Info key is pressed after deleting the
+ currently replayed recording
+
+Benedikt Elser <elser@in.tum.de>
+ for a patch that was used to add cStatus::TimerChange() to inform plugins about
+ changes to the list of timers
diff -ruN vdr-1.5.14/HISTORY vdr-1.5.15/HISTORY
--- vdr-1.5.14/HISTORY	2008-01-27 15:40:11.000000000 +0100
+++ vdr-1.5.15/HISTORY	2008-02-17 15:29:24.000000000 +0100
@@ -5465,7 +5465,7 @@
 - Fixed a new[]/delete mismatch in cMenuEditStrItem::LeaveEditMode() (thanks to
   Udo Richter).
 - Implemented sending all frames to devices that can handle them in fast forward
-  trick speeds (thansk to Timo Eskola).
+  trick speeds (thanks to Timo Eskola).
 - Updated the Hungarian language texts (thanks to Thomas Günther).
 - Fixed description of DeviceSetAvailableTrack() and cReceiver(), and added an
   example ~cMyReceiver() in PLUGINS.html (thanks to Marco Schlüßler).
@@ -5578,3 +5578,68 @@
 - Removed switching to the next higher or lower channel if the current channel
   is not available, in order to allow staying on an encrypted channel that takes
   a while for the CAM to start decrypting.
+
+2008-02-17: Version 1.5.15
+
+- Updated the Italian OSD texts (thanks to Diego Pierotto).
+- Added option -i to the pictures plugin's pic2mpg to ignore unknown file types.
+- Revoked the switch to the "multiproto" driver in order to make a new stable
+  version before making this big switch and forcing all users to install a
+  driver that is not yet in the kernel source. The removed code will reappear
+  in version 1.7.0.
+  Note that you may need to switch back to an older version of your channels.conf
+  file if you have already used version 1.5.14, because it introduced new parameters.
+- Added the new command line option --userdump to enable core dumps in case VDR
+  is run as root with option -u (thanks to Hans-Werner Hilse).
+- Speeded up anti-aliased font rendering by caching the blend indexes (based on
+  a suggestion by Martin Wache).
+- Fixed setting the OSD area in the pictures plugin.
+- Ignoring "repeat" and "release" keys in the time search entry mode during replay,
+  to avoid inadvertently leaving it in case a key is pressed too long (suggested
+  by Andreas Brugger).
+- Improved sending all frames to devices that can handle them in fast forward
+  trick speeds, including subtitles (thanks to Timo Eskola).
+- The section handler is now stopped before the device is destroyed, to avoid
+  accessing file handles after they have become invalid (thanks to Reinhard
+  Nissl for reporting an invalid access when ending VDR, and to Deti Fliegl for
+  a patch that was used to implement StopSectionHandler()).
+- Fixed setting the date in the channel display of the classic and sttng skins,
+  to avoid unnecessary OSD access (thanks to Marco Schlüßler).
+- The free disk space is now also displayed in the title of the "Recordings"
+  menu (suggested by Walter Koch).
+- Changed the message "Upcoming VPS recording!" to "Upcoming recording!" because
+  it applies to non-VPS recordings as well.
+- Fixed a loss of a timer's 'recording' flag after modifying it via MODT.
+- Fixed detecting directories in cFileNameList::Load().
+- Running the thread that removes deleted recordings at a low priority to (maybe)
+  avoid stuttering replay in case the thread is run during replay.
+- Limiting the length of the recording name in timers in case VDR is run with
+  --vfat, in order to avoid names that are too long for Windows (suggested by Rolf
+  Ahrenberg).
+- Using cString::sprintf() instead of asprintf() (thanks to Wolfgang Rohdewald
+  for pointing out a possible problem if the return value is not checked).
+  Plugin authors may want to consider doing the same. For convenience there is now
+  an additional version of cString::sprintf() that accepts a va_list parameter.
+- When deleting the recording that is currently replayed, the replay is now
+  stopped immediately (thanks to Mikko Matilainen for reporting a possible crash
+  if the Info key is pressed after deleting the currently replayed recording).
+- Updated the Russian OSD texts (thanks to Oleg Roitburd).
+- When determining the amount of free disk space, any deleted (but not yet removed)
+  recordings on different file systems (that are mounted under the video directory)
+  are no longer taken into account.
+- When running out of disk space during a recording, only such deleted or old
+  recordings are removed, that actually are on the video directory file system(s).
+  This prevents VDR from accidentally deleting recordings on other file systems,
+  which would not add any free space to the video directory.
+- Implemented the cStatus, cDevice and cPlayer functions for setting subtitle tracks
+  in plugins (thanks to Petri Hintukainen).
+- Added cStatus::TimerChange() to inform plugins about changes to the list of timers
+  (based on a patch from Benedikt Elser).
+- Added new cStatus functions to the 'status' plugin.
+- Added missing #include <limits.h> to epg.c and menuitems.h (thanks to Ville Skyttä).
+- The new function cSkin::SetScrollbar() can be implemented by skins to display
+  a scrollbar in every list menu. The 'classic' and 'sttng' skins have been
+  changed accordingly, as well as the 'skincurses' plugin.
+- Introduced 'operator const void * ()' in cString to catch cases where operator*()
+  should be used.
+- Fixed calculating the scrollbar sizes in the skins.
diff -ruN vdr-1.5.14/INSTALL vdr-1.5.15/INSTALL
--- vdr-1.5.14/INSTALL	2007-10-13 15:01:06.000000000 +0200
+++ vdr-1.5.15/INSTALL	2008-02-10 15:23:58.000000000 +0100
@@ -1,7 +1,7 @@
 Installation of the Video Disk Recorder
 ---------------------------------------
 
-Version 1.5
+Version 1.6
 -----------
 
 Compiling and running the program:
diff -ruN vdr-1.5.14/MANUAL vdr-1.5.15/MANUAL
--- vdr-1.5.14/MANUAL	2007-11-25 16:25:13.000000000 +0100
+++ vdr-1.5.15/MANUAL	2008-02-10 15:23:48.000000000 +0100
@@ -1,7 +1,7 @@
 Video Disk Recorder User's Manual
 ---------------------------------
 
-Version 1.4
+Version 1.6
 -----------
 
 * Remote Control Keys
diff -ruN vdr-1.5.14/PLUGINS/src/pictures/HISTORY vdr-1.5.15/PLUGINS/src/pictures/HISTORY
--- vdr-1.5.14/PLUGINS/src/pictures/HISTORY	2008-01-19 12:36:41.000000000 +0100
+++ vdr-1.5.15/PLUGINS/src/pictures/HISTORY	2008-02-17 14:47:12.000000000 +0100
@@ -10,3 +10,17 @@
 - Fixed the Play function (when used from a directory in the pictures menu
   it always started with the next directory).
 - Added Finnish texts (thanks to Rolf Ahrenberg <rahrenbe@cc.hut.fi>).
+
+2008-01-27: Version 0.0.3
+
+- Added French texts (thanks to Patrice Staudt <ipatrice.staudt@laposte.net>).
+
+2008-02-02: Version 0.0.4
+
+- Added option -i to pic2mpg to ignore unknown file types.
+
+2008-02-17: Version 0.0.5
+
+- Fixed setting the OSD area.
+- Introduced 'operator const void * ()' in cString to catch cases where operator*()
+  should be used.
diff -ruN vdr-1.5.14/PLUGINS/src/pictures/entry.c vdr-1.5.15/PLUGINS/src/pictures/entry.c
--- vdr-1.5.14/PLUGINS/src/pictures/entry.c	2008-01-18 16:49:51.000000000 +0100
+++ vdr-1.5.15/PLUGINS/src/pictures/entry.c	2008-02-17 14:42:34.000000000 +0100
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: entry.c 1.2 2008/01/18 15:49:51 kls Exp $
+ * $Id: entry.c 1.3 2008/02/17 13:42:34 kls Exp $
  */
 
 #include "entry.h"
@@ -37,7 +37,7 @@
 
 cString cPictureEntry::Path(void) const
 {
-  return parent ? AddDirectory(parent->Path(), name) : name;
+  return parent ? *AddDirectory(parent->Path(), name) : name;
 }
 
 void cPictureEntry::Load(void) const
diff -ruN vdr-1.5.14/PLUGINS/src/pictures/pic2mpg vdr-1.5.15/PLUGINS/src/pictures/pic2mpg
--- vdr-1.5.14/PLUGINS/src/pictures/pic2mpg	2008-01-13 12:09:12.000000000 +0100
+++ vdr-1.5.15/PLUGINS/src/pictures/pic2mpg	2008-02-02 12:34:43.000000000 +0100
@@ -7,7 +7,7 @@
 #
 # See the README file for copyright information and how to reach the author.
 #
-# $Id: pic2mpg 1.1 2008/01/13 11:09:12 kls Exp $
+# $Id: pic2mpg 1.2 2008/02/02 11:34:43 kls Exp $
 
 ## TODO implement HDTV (1920 x 1080)
 
@@ -20,20 +20,22 @@
        $0 [options] picture-file mpeg-file
 
 Options: -a             Aspect ratio 4:3 (default is 16:9)
-         -h             print Help
          -f             Force conversion
+         -h             print Help
+         -i             Ignore unknown file types
          -n             NTSC (default is PAL)
          -v num         Verbose (0=none, 1=list files, 2=detailed)
          -x percent     X overscan in percent
          -y percent     Y overscan in percent
 };
 
-getopts("ahfnv:x:y:") || die $Usage;
+getopts("afhinv:x:y:") || die $Usage;
 
 die $Usage if $opt_h;
 
 $Aspect    = $opt_a;
 $Force     = $opt_f;
+$Ignore    = $opt_i;
 $NTSC      = $opt_n;
 $Verbose   = $opt_v;
 $OverscanX = $opt_x;
@@ -142,7 +144,10 @@
 {
   my ($Pict, $Mpeg) = @_;
   (my $Type) = $Pict =~ /\.([^\.]*)$/;
-  die "unknown file type '$Type': '$Pict'\n" unless defined $PNMCONV{$Type};
+  if (!defined $PNMCONV{$Type}) {
+     return if ($Ignore);
+     die "unknown file type '$Type': '$Pict'\n";
+     }
   my ($w, $h) = imgsize($Pict);
   print "image size is $w x $h\n" if ($Detailed);
   if ($w / $h <= $ScreenRatio) {
diff -ruN vdr-1.5.14/PLUGINS/src/pictures/pictures.c vdr-1.5.15/PLUGINS/src/pictures/pictures.c
--- vdr-1.5.14/PLUGINS/src/pictures/pictures.c	2008-01-19 12:20:03.000000000 +0100
+++ vdr-1.5.15/PLUGINS/src/pictures/pictures.c	2008-02-09 13:15:52.000000000 +0100
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: pictures.c 1.2 2008/01/19 11:20:03 kls Exp $
+ * $Id: pictures.c 1.5 2008/02/09 12:15:52 kls Exp $
  */
 
 #include <getopt.h>
@@ -11,7 +11,7 @@
 #include "menu.h"
 #include "player.h"
 
-static const char *VERSION       = "0.0.2";
+static const char *VERSION       = "0.0.5";
 static const char *DESCRIPTION   = trNOOP("A simple picture viewer");
 static const char *MAINMENUENTRY = trNOOP("Pictures");
 
diff -ruN vdr-1.5.14/PLUGINS/src/pictures/player.c vdr-1.5.15/PLUGINS/src/pictures/player.c
--- vdr-1.5.14/PLUGINS/src/pictures/player.c	2008-01-19 12:01:58.000000000 +0100
+++ vdr-1.5.15/PLUGINS/src/pictures/player.c	2008-02-09 13:13:10.000000000 +0100
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: player.c 1.2 2008/01/19 11:01:58 kls Exp $
+ * $Id: player.c 1.3 2008/02/09 12:13:10 kls Exp $
  */
 
 #include "player.h"
@@ -173,11 +173,11 @@
   int h = 2 * Font->Height();
   if (!osd) {
      osd = cOsdProvider::NewOsd(cOsd::OsdLeft(), cOsd::OsdTop() + cOsd::OsdHeight() - h, OSD_LEVEL_SUBTITLES);
-     tArea Areas[] = { { 0, 0, w, h, 8 } };
+     tArea Areas[] = { { 0, 0, w - 1, h - 1, 8 } };
      if (Setup.AntiAlias && osd->CanHandleAreas(Areas, sizeof(Areas) / sizeof(tArea)) == oeOk)
         osd->SetAreas(Areas, sizeof(Areas) / sizeof(tArea));
      else {
-        tArea Areas[] = { { 0, 0, w, h, 4 } };
+        tArea Areas[] = { { 0, 0, w - 1, h - 1, 4 } };
         osd->SetAreas(Areas, sizeof(Areas) / sizeof(tArea));
         }
      }
diff -ruN vdr-1.5.14/PLUGINS/src/skincurses/HISTORY vdr-1.5.15/PLUGINS/src/skincurses/HISTORY
--- vdr-1.5.14/PLUGINS/src/skincurses/HISTORY	2008-01-19 12:42:41.000000000 +0100
+++ vdr-1.5.15/PLUGINS/src/skincurses/HISTORY	2008-02-17 15:28:26.000000000 +0100
@@ -65,3 +65,8 @@
 2008-01-19:
 
 - Updated the Makefile of the skincurses plugin (thanks to Rolf Ahrenberg).
+
+2008-02-15: Version 0.1.5
+
+- Using cString::sprintf() instead of asprintf().
+- Implemented cSkinCursesDisplayMenu::SetScrollbar().
diff -ruN vdr-1.5.14/PLUGINS/src/skincurses/skincurses.c vdr-1.5.15/PLUGINS/src/skincurses/skincurses.c
--- vdr-1.5.14/PLUGINS/src/skincurses/skincurses.c	2007-08-26 22:16:59.000000000 +0200
+++ vdr-1.5.15/PLUGINS/src/skincurses/skincurses.c	2008-02-17 15:28:19.000000000 +0100
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: skincurses.c 1.18 2007/08/26 20:16:59 kls Exp $
+ * $Id: skincurses.c 1.20 2008/02/17 14:28:19 kls Exp $
  */
 
 #include <ncurses.h>
@@ -11,7 +11,7 @@
 #include <vdr/plugin.h>
 #include <vdr/skins.h>
 
-static const char *VERSION        = "0.1.4";
+static const char *VERSION        = "0.1.5";
 static const char *DESCRIPTION    = trNOOP("A text only skin");
 static const char *MAINMENUENTRY  = NULL;
 
@@ -166,7 +166,7 @@
      }
   SetColor(ColorFg, ColorBg);
   wmove(window, y, x); // ncurses wants 'y' before 'x'!
-  waddnstr(window, s, ScOsdWidth - x);
+  waddnstr(window, s, Width ? Width : ScOsdWidth - x);
 }
 
 void cCursesOsd::DrawRectangle(int x1, int y1, int x2, int y2, tColor Color)
@@ -261,7 +261,8 @@
 class cSkinCursesDisplayMenu : public cSkinDisplayMenu {
 private:
   cOsd *osd;
-  void SetScrollbar(void);
+  void DrawScrollbar(int Total, int Offset, int Shown, int Top, int Height, bool CanScrollUp, bool CanScrollDown);
+  void SetTextScrollbar(void);
 public:
   cSkinCursesDisplayMenu(void);
   virtual ~cSkinCursesDisplayMenu();
@@ -272,6 +273,7 @@
   virtual void SetButtons(const char *Red, const char *Green = NULL, const char *Yellow = NULL, const char *Blue = NULL);
   virtual void SetMessage(eMessageType Type, const char *Text);
   virtual void SetItem(const char *Text, int Index, bool Current, bool Selectable);
+  virtual void SetScrollbar(int Total, int Offset);
   virtual void SetEvent(const cEvent *Event);
   virtual void SetRecording(const cRecording *Recording);
   virtual void SetText(const char *Text, bool FixedFont);
@@ -290,25 +292,31 @@
   delete osd;
 }
 
-void cSkinCursesDisplayMenu::SetScrollbar(void)
+void cSkinCursesDisplayMenu::DrawScrollbar(int Total, int Offset, int Shown, int Top, int Height, bool CanScrollUp, bool CanScrollDown)
 {
-  if (textScroller.CanScroll()) {
-     int yt = textScroller.Top();
-     int yb = yt + textScroller.Height() - 1;
+  if (Total > 0 && Total > Shown) {
+     int yt = Top;
+     int yb = yt + Height - 1;
      int st = yt;
      int sb = yb;
-     int tt = st + (sb - st) * textScroller.Offset() / textScroller.Total();
-     int tb = tt + (sb - st) * textScroller.Shown() / textScroller.Total();
+     int tt = st + (sb - st + 1) * Offset / Total;
+     int tb = tt + (sb - st + 1) * Shown / Total;
      int xl = ScOsdWidth - 1;
-     osd->DrawRectangle(xl, st, xl, sb, clrCyan);
-     osd->DrawRectangle(xl, tt, xl, tb, clrWhite);
+     osd->DrawRectangle(xl, st, xl, sb, clrWhite);
+     osd->DrawRectangle(xl, tt, xl, tb, clrCyan);
      }
 }
 
+void cSkinCursesDisplayMenu::SetTextScrollbar(void)
+{
+  if (textScroller.CanScroll())
+     DrawScrollbar(textScroller.Total(), textScroller.Offset(), textScroller.Shown(), textScroller.Top(), textScroller.Height(), textScroller.CanScrollUp(), textScroller.CanScrollDown());
+}
+
 void cSkinCursesDisplayMenu::Scroll(bool Up, bool Page)
 {
   cSkinDisplayMenu::Scroll(Up, Page);
-  SetScrollbar();
+  SetTextScrollbar();
 }
 
 int cSkinCursesDisplayMenu::MaxItems(void)
@@ -366,12 +374,17 @@
       const char *s = GetTabbedText(Text, i);
       if (s) {
          int xt = Tab(i) / 12;// Tab() is in "pixel" - see also skins.c!!!
-         osd->DrawText(xt, y, s, ColorFg, ColorBg, &Font, ScOsdWidth - xt);
+         osd->DrawText(xt, y, s, ColorFg, ColorBg, &Font, ScOsdWidth - 2 - xt);
          }
       if (!Tab(i + 1))
          break;
       }
-  SetEditableWidth(ScOsdWidth - Tab(1) / 12); // Tab() is in "pixel" - see also skins.c!!!
+  SetEditableWidth(ScOsdWidth - 2 - Tab(1) / 12); // Tab() is in "pixel" - see also skins.c!!!
+}
+
+void cSkinCursesDisplayMenu::SetScrollbar(int Total, int Offset)
+{
+  DrawScrollbar(Total, Offset, MaxItems(), 2, MaxItems(), Offset > 0, Offset + MaxItems() < Total);
 }
 
 void cSkinCursesDisplayMenu::SetEvent(const cEvent *Event)
@@ -384,10 +397,8 @@
   snprintf(t, sizeof(t), "%s  %s - %s", *Event->GetDateString(), *Event->GetTimeString(), *Event->GetEndTimeString());
   ts.Set(osd, 0, y, ScOsdWidth, ScOsdHeight - y - 2, t, &Font, clrYellow, clrBackground);
   if (Event->Vps() && Event->Vps() != Event->StartTime()) {
-     char *buffer;
-     asprintf(&buffer, " VPS: %s", *Event->GetVpsString());
+     cString buffer = cString::sprintf(" VPS: %s", *Event->GetVpsString());
      osd->DrawText(ScOsdWidth - Utf8StrLen(buffer), y, buffer, clrBlack, clrYellow, &Font);
-     free(buffer);
      }
   y += ts.Height();
   y += 1;
@@ -400,7 +411,7 @@
   y += 1;
   if (!isempty(Event->Description())) {
      textScroller.Set(osd, 0, y, ScOsdWidth - 2, ScOsdHeight - y - 2, Event->Description(), &Font, clrCyan, clrBackground);
-     SetScrollbar();
+     SetTextScrollbar();
      }
 }
 
@@ -428,14 +439,14 @@
   y += 1;
   if (!isempty(Info->Description())) {
      textScroller.Set(osd, 0, y, ScOsdWidth - 2, ScOsdHeight - y - 2, Info->Description(), &Font, clrCyan, clrBackground);
-     SetScrollbar();
+     SetTextScrollbar();
      }
 }
 
 void cSkinCursesDisplayMenu::SetText(const char *Text, bool FixedFont)
 {
   textScroller.Set(osd, 0, 2, ScOsdWidth - 2, ScOsdHeight - 4, Text, &Font, clrWhite, clrBackground);
-  SetScrollbar();
+  SetTextScrollbar();
 }
 
 void cSkinCursesDisplayMenu::Flush(void)
diff -ruN vdr-1.5.14/PLUGINS/src/status/HISTORY vdr-1.5.15/PLUGINS/src/status/HISTORY
--- vdr-1.5.14/PLUGINS/src/status/HISTORY	2007-08-15 15:19:52.000000000 +0200
+++ vdr-1.5.15/PLUGINS/src/status/HISTORY	2008-02-16 15:27:58.000000000 +0100
@@ -40,3 +40,7 @@
 
 - Moved the "all" target in the Makefile before the "Implicit rules",
   so that a plain "make" will compile everything.
+
+2008-02-16: Version 0.3.0
+
+- Added new cStatus functions.
diff -ruN vdr-1.5.14/PLUGINS/src/status/status.c vdr-1.5.15/PLUGINS/src/status/status.c
--- vdr-1.5.14/PLUGINS/src/status/status.c	2007-08-15 15:19:44.000000000 +0200
+++ vdr-1.5.15/PLUGINS/src/status/status.c	2008-02-16 16:41:05.000000000 +0100
@@ -3,13 +3,13 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: status.c 1.9 2007/08/15 13:19:44 kls Exp $
+ * $Id: status.c 1.10 2008/02/16 15:41:05 kls Exp $
  */
 
 #include <vdr/plugin.h>
 #include <vdr/status.h>
 
-static const char *VERSION        = "0.2.1";
+static const char *VERSION        = "0.3.0";
 static const char *DESCRIPTION    = "Status monitor test";
 static const char *MAINMENUENTRY  = NULL;
 
@@ -17,20 +17,30 @@
 
 class cStatusTest : public cStatus {
 protected:
+  virtual void TimerChange(const cTimer *Timer, eTimerChange Change);
   virtual void ChannelSwitch(const cDevice *Device, int ChannelNumber);
   virtual void Recording(const cDevice *Device, const char *Name, const char *FileName, bool On);
   virtual void Replaying(const cControl *Control, const char *Name, const char *FileName, bool On);
   virtual void SetVolume(int Volume, bool Absolute);
+  virtual void SetAudioTrack(int Index, const char * const *Tracks);
+  virtual void SetAudioChannel(int AudioChannel);
+  virtual void SetSubtitleTrack(int Index, const char * const *Tracks);
   virtual void OsdClear(void);
   virtual void OsdTitle(const char *Title);
   virtual void OsdStatusMessage(const char *Message);
   virtual void OsdHelpKeys(const char *Red, const char *Green, const char *Yellow, const char *Blue);
+  virtual void OsdItem(const char *Text, int Index);
   virtual void OsdCurrentItem(const char *Text);
   virtual void OsdTextItem(const char *Text, bool Scroll);
   virtual void OsdChannel(const char *Text);
   virtual void OsdProgramme(time_t PresentTime, const char *PresentTitle, const char *PresentSubtitle, time_t FollowingTime, const char *FollowingTitle, const char *FollowingSubtitle);
   };
 
+void cStatusTest::TimerChange(const cTimer *Timer, eTimerChange Change)
+{
+  dsyslog("status: cStatusTest::TimerChange  %s %d", Timer ? *Timer->ToText(true) : "-", Change);
+}
+
 void cStatusTest::ChannelSwitch(const cDevice *Device, int ChannelNumber)
 {
   dsyslog("status: cStatusTest::ChannelSwitch  %d %d", Device->CardIndex(), ChannelNumber);
@@ -51,6 +61,21 @@
   dsyslog("status: cStatusTest::SetVolume  %d %d", Volume, Absolute);
 }
 
+void cStatusTest::SetAudioTrack(int Index, const char * const *Tracks)
+{
+  dsyslog("status: cStatusTest::SetAudioTrack  %d %s", Index, Tracks[Index]);
+}
+
+void cStatusTest::SetAudioChannel(int AudioChannel)
+{
+  dsyslog("status: cStatusTest::SetAudioChannel  %d", AudioChannel);
+}
+
+void cStatusTest::SetSubtitleTrack(int Index, const char * const *Tracks)
+{
+  dsyslog("status: cStatusTest::SetSubtitleTrack  %d %s", Index, Tracks[Index]);
+}
+
 void cStatusTest::OsdClear(void)
 {
   dsyslog("status: cStatusTest::OsdClear");
@@ -71,6 +96,11 @@
   dsyslog("status: cStatusTest::OsdHelpKeys %s - %s - %s - %s", Red, Green, Yellow, Blue);
 }
 
+void cStatusTest::OsdItem(const char *Text, int Index)
+{
+  //dsyslog("status: cStatusTest::OsdItem  %s %d", Text, Index);
+}
+
 void cStatusTest::OsdCurrentItem(const char *Text)
 {
   dsyslog("status: cStatusTest::OsdCurrentItem %s", Text);
